Bug 201022 - [PATCH] graphics/opengtl: unbreak build with LLVM 3.3, graphics/qtgtl: undeprecate
Summary: [PATCH] graphics/opengtl: unbreak build with LLVM 3.3, graphics/qtgtl: undepr...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Alberto Villa
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-06-21 17:26 UTC by Matthew Rezny
Modified: 2015-07-01 09:47 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (avilla)


Attachments
graphics/{opengtl,qtgtl} build with LLVM 3.3 and undeprecate (2.08 KB, patch)
2015-06-21 17:26 UTC, Matthew Rezny
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Rezny freebsd_committer 2015-06-21 17:26:16 UTC
Created attachment 157948 [details]
graphics/{opengtl,qtgtl} build with LLVM 3.3 and undeprecate

Quite some time ago I noticed OpenGTL was depending on an older LLVM and found a solution existed but not upstream. I had not noticed the port get marked BROKEN since I had a working local install and the commit message when that was done was misleading/wrong. Now that the depration mark hits two ports I'm using, time for action.

Gentoo has a patch for build with LLVM 3.3 which I've been using. Attached is a patch to unbreak the build of OpenGTL using their patch, and to undeprecate QtGTL which depends upon OpenGTL. The GTL option in editors/calligra depends on both these ports.
Comment 1 commit-hook freebsd_committer 2015-06-28 14:25:27 UTC
A commit references this bug:

Author: avilla
Date: Sun Jun 28 14:24:27 UTC 2015
New revision: 390784
URL: https://svnweb.freebsd.org/changeset/ports/390784

Log:
  graphics/opengtl: fix build with LLVM 3.3

  PR:		201022
  Submitted by:	matthew@reztek.cz
  Obtained from:	Gentoo
  MFH:		2015Q2

Changes:
  head/graphics/opengtl/Makefile
  head/graphics/opengtl/distinfo
  head/graphics/qtgtl/Makefile
Comment 2 Alberto Villa freebsd_committer 2015-06-28 14:27:12 UTC
Committed, thanks!
Waiting for MFH to close.
Comment 3 commit-hook freebsd_committer 2015-07-01 09:47:57 UTC
A commit references this bug:

Author: avilla
Date: Wed Jul  1 09:46:58 UTC 2015
New revision: 391041
URL: https://svnweb.freebsd.org/changeset/ports/391041

Log:
  MFH: r390784

  graphics/opengtl: fix build with LLVM 3.3

  PR:		201022
  Submitted by:	matthew@reztek.cz
  Obtained from:	Gentoo
  Approved by:	ports-secteam (build fix blanket)

Changes:
_U  branches/2015Q2/
  branches/2015Q2/graphics/opengtl/Makefile
  branches/2015Q2/graphics/opengtl/distinfo